Advisory Details

March 30th, 2021

Esri ArcReader PMF File Parsing Uninitialized Pointer Remote Code Execution Vulnerability

ZDI-21-361
ZDI-CAN-12397

CVE ID CVE-2021-29098
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Esri
AFFECTED PRODUCTS ArcReader
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Esri ArcReader. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of PMF files. Crafted data in a PMF file can trigger access to a pointer prior to initialization. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Esri has issued an update to correct this vulnerability. More details can be found at:
https://www.esri.com/arcgis-blog/products/arcgis/administration/security-advisory-general-raster
DISCLOSURE TIMELINE
  • 2020-11-24 - Vulnerability reported to vendor
  • 2021-03-30 - Coordinated public release of advisory
CREDIT rgod
BACK TO ADVISORIES